<?php
defined('ROOT_DIR') or die(__FILE__.' requires egConfig.inc.php');
include_once(ROOT_DIR.'egListItem.class.php');

class egMenuItem extends egListItem {

  function egMenuItem($id, $text, $icon, $action) {
      parent::egListItem($id, $text, $icon, $action);
  }

  function getClassName() {
      return "egMenuItem";
  }

  function &getText() {
      return parent::getTitle();
  }

  function &getIcon() {
      return parent::getIcon();
  }

  function &getAction() {
      return parent::getValue();
  }
}
?>